Skip to main content
`Ctrl`+`K`

# example Namespace Reference

2025-09-28

1 min read time

ROCm Docs Core Demo Doxygen Docs: example Namespace Reference
Classes | Functions
example Namespace Reference

A namespace. More...

## Classes

class | Example
| Example class. More...
class | Example2
| Example class 2 to showcase class hierarchies. More...

## Functions

template<typename T >
void | template_fun (T a)
| Example of a template function.

## Detailed Description

A namespace.

## Function Documentation

## ◆ template_fun()

template<typename T >

void example::template_fun | ( | T | a | ) |

Example of a template function.

Template Parameters

  T | Template parameter

Parameters

  a | parameter